export declare const API_PREFIX = "/rest/$designer";
export declare const EXT_API_PREFIX = "/rest/$designer-ext";
export declare const SHARED_API_PREFIX = "/$shared";
export declare function transformDates<T extends {
    [key: string]: any;
}>(...dateAttrs: string[]): (obj: T) => T;
export declare class HTTPError extends Error {
    url: string;
    response: Response;
    data?: any;
    constructor(url: string, response: Response, data?: any);
    log(): void;
}
export declare function http<T>(url: string, request: RequestInit): Promise<T>;
